Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.learning
Class ACRF.UnrolledVarSet

    java.lang.Object
      cc.mallet.grmm.types.HashVarSet
          cc.mallet.grmm.learning.ACRF.UnrolledVarSet

All Implemented Interfaces:
  VarSet, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.Set

Enclosing class:
  ACRF

    public static class ACRF.UnrolledVarSet

extends HashVarSet

A clique in the unrolled graphical model (an instantiation of some Template). Contains a pointer to its corresponding template and a FeatureVector.

See Also:
  Serialized Form

Constructor Summary
`ACRF.UnrolledVarSet(ACRF.UnrolledGraph graph, ACRF.Template tmpl, Variable[] vars, FeatureVector fv)`

Method Summary
`Factor` | `getFactor()`
`FeatureVector` | `getFv()`
`double` | `getLastChange()`
`ACRF.Template` | `getTemplate()`
`Assignment` | `lookupAssignment()`
`int` | `lookupAssignmentNumber()`
`int` | `lookupNumberOfAssignment(Assignment assn)`
`int[]` | `varDimensions()`

Methods inherited from class cc.mallet.grmm.types.HashVarSet
`add, add, addAll, assignmentIterator, clear, clone, contains, containsAll, equals, get, getLabel, hashCode, intersection, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString, toVariableArray, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ACRF.UnrolledVarSet

    public ACRF.UnrolledVarSet(ACRF.UnrolledGraph graph,
                               ACRF.Template tmpl,
                               Variable[] vars,
                               FeatureVector fv)

Method Detail

### varDimensions

    public int[] varDimensions()

### lookupAssignmentNumber

    public final int lookupAssignmentNumber()

### lookupAssignment

    public final Assignment lookupAssignment()

### lookupNumberOfAssignment

    public int lookupNumberOfAssignment(Assignment assn)

### getTemplate

    public ACRF.Template getTemplate()

### getFv

    public FeatureVector getFv()

### getFactor

    public Factor getFactor()

### getLastChange

    public double getLastChange()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD